summaryrefslogtreecommitdiff
path: root/qa/636
diff options
context:
space:
mode:
Diffstat (limited to 'qa/636')
-rwxr-xr-xqa/63636
1 files changed, 36 insertions, 0 deletions
diff --git a/qa/636 b/qa/636
new file mode 100755
index 0000000..1bb1755
--- /dev/null
+++ b/qa/636
@@ -0,0 +1,36 @@
+#! /bin/sh
+# PCP QA Test No. 636
+# check error code reporting, pv #820891
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=0 # success is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+echo "Expect no output ..."
+
+# on IRIX 6.5m should report Warning: cihb_getstats: ... ENOTSUP (1008)
+# on IRIX 6.5f should report Warning: cihb_getstats: ... EINVAL or nothing
+# on Linux shuld report nothing
+#
+src/pminfo_lite -L pmcd.control.debug 2>&1 \
+| grep 'No such PMAPI error code'
+
+# for IRIX this is ENOATTR, elsewhere should be No suchcPMAPI error code
+# (assuming strerror(1009) does not return anything useful).
+#
+pmerr -1009 2>&1 \
+| grep 'PCP 1.x?'
+
+# success, all done
+exit